#!/bin/sh

# ------------------ Anime4KCPP -------------------------- #
# Need cmake, libopencv4-devel, ocl-icd-devel, libgomp-devel

git clone https://github.com/TianZerl/Anime4KCPP.git
cd Anime4KCPP || exit 1

mkdir build && cd build
cmake ..
make

cp -f bin/Anime4KCPP_CLI ~/.local/bin/

cd ../..

echo "
"

# ----------------- Anime4K shaders ---------------------- #
echo "Version of Anime4K shaders: " | tr -d '\n' # 3.1
read -r version

mkdir shaders && cd shaders
curl -fLo Anime4K.zip https://github.com/bloc97/Anime4K/releases/download/${version}/Anime4K_v${version}.zip
unzip Anime4K.zip && rm Anime4K.zip
cd ..

cp -rfv shaders/ ~/.config/mpv/shaders/
